Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Macros
iplugincompatibility.h File Reference
`#include "ibstream.h"`

## Classes
class | IPluginCompatibility
| optional interface to query the compatibility of the plug-ins classes More...

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.

## Macros
#define | kPluginCompatibilityClass "Plugin Compatibility Class"
| moduleinfo.json

## Macro Definition Documentation

## ◆ kPluginCompatibilityClass

#define kPluginCompatibilityClass "Plugin Compatibility Class"

moduleinfo.json

The moduleinfo.json describes the contents of the plug-in in a JSON5 compatible format (See https://json5.org/). It contains the factory info (see PFactoryInfo), the contained classes (see PClassInfo), the included snapshots and a list of compatibility of the included classes.

An example moduleinfo.json:

{
"Name": "",
"Version": "1.0",
"Factory Info": {
"Vendor": "Steinberg Media Technologies",
"URL": "http://www.steinberg.net",
"E-Mail": "mailto:info@steinberg.de",
"Flags": {
"Unicode": true,
"Classes Discardable": false,
"Component Non Discardable": false,
},
},
"Compatibility": [
{
"New": "B9F9ADE1CD9C4B6DA57E61E3123535FD",
"Old": [
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA", // just an example
"BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB", // another example
],
},
],
"Classes": [
{
"CID": "B9F9ADE1CD9C4B6DA57E61E3123535FD",
"Category": "Audio Module Class",
"Name": "AGainSimple VST3",
"Vendor": "Steinberg Media Technologies",
"Version": "1.3.0.1",
"SDKVersion": "VST 3.7.4",
"Sub Categories": [
"Fx",
],
"Class Flags": 0,
"Cardinality": 2147483647,
"Snapshots": [
],
},
],
}
Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.